Bug 460332 - Alpine 2.00 is released, can we get updates for F8 and F9?
Summary: Alpine 2.00 is released, can we get updates for F8 and F9?
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: alpine
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joshua Daniel Franklin
QA Contact: Fedora Extras Quality Assurance
URL: http://www.washington.edu/alpine/
Whiteboard:
Depends On:
Blocks: 465341
TreeView+ depends on / blocked
 
Reported: 2008-08-27 16:27 UTC by Gilbert Sebenste
Modified: 2008-10-02 20:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-24 23:58:41 UTC
Type: ---


Attachments (Terms of Use)

Description Gilbert Sebenste 2008-08-27 16:27:26 UTC
Description of problem: Alpine 2.00 has been released from the University of Washington. Can we get updates for F8/F9?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rex Dieter 2008-08-27 16:35:34 UTC
Funny you should mention that.  I was working on building it just this morning. :)

Comment 2 Rex Dieter 2008-08-27 16:38:11 UTC
other alpine maintainer dudes, any objections to building this too for F-8/F-9 soonish?

Comment 3 Gilbert Sebenste 2008-08-27 16:43:59 UTC
Funny thing is, on their website, they have a binary built on Fedora Core 7, which is, of course, EOL'd. I'd be happy to test it.

Comment 4 Gilbert Sebenste 2008-08-27 16:44:24 UTC
Er, I mean I'd be happy to test an F8 version. :-)

Comment 5 Joshua Daniel Franklin 2008-08-27 16:59:57 UTC
Go ahead Rex. Unfortunately the Alpine dev team is also EOL'd (now unemployed), so I wouldn't expect too many updates to their F7 build platform.

Comment 6 Gilbert Sebenste 2008-08-27 17:01:20 UTC
JDF: YIKES! :-o

Comment 7 Rex Dieter 2008-08-27 17:02:56 UTC
ok, I'll do the builds.

Joshua, do you know any more details about UW's plans wrt uw-imap/alpine?  Is it worth considering forking/hosting it elsewhere?  (I know Mark Crispin is already developing a currently non-oss fork).

Comment 8 Joshua Daniel Franklin 2008-08-27 17:36:20 UTC
I am going to add Debian alpine maintainer Asheesh Laroia to this bug to get his input on whether to stay with UW alpine as well. I believe he adds the maildir patches that were not popular with MRC, who is a brilliant but opinionated person. Based on past mailing list activity, I do not believe MRC would open-source his code unless told to by an employer.

As for the UW's plans, I basically only know what's been on the mailing lists, which is not much. The Alpine 2.00 announcement states:

"Version 2.00 also marks the transition of the Alpine Messaging Team's role of direct, active development to one more oriented toward supporting community driven development. The team intends to continue hosting source, coordinating and consulting on contributed fixes and additions, and packaging periodic releases."

I do not know if this means actual commit access or not. For the short term I vote for staying with the official UW alpine and not forking. Asheesh, is that your plan?

Comment 9 Joshua Daniel Franklin 2008-08-27 17:47:03 UTC
I might as well post this here too:

Basically, UW's central IT group (formerly called CAC, now UW Technology)
is in a financial mess. There are a lot of rumors going on around campus
but the basic story is here:

http://techwag.com/index.php/2008/05/21/major-screw-up-changing-industry-leads-to-university-of-washington-tech-workers-layoffs/

(From what I've heard, the first comment is well informed.)
A lot of people still use pine on campus, but it's almost all
faculty/staff. About half of students forward their email
elsewhere, and most of the rest use WebPine. So I guess the
logical choice was to sunset development.

You have to at least temporarily subscribe at
http://mailman2.u.washington.edu/mailman/listinfo/techsupport
to read this, but there is a little more info at
https://mailman2.u.washington.edu/mailman/private/techsupport/2008-August/010801.html

Comment 10 Rex Dieter 2008-08-27 18:43:17 UTC
builds for testing:

F-8: http://koji.fedoraproject.org/koji/buildinfo?buildID=60473
F-9: http://koji.fedoraproject.org/koji/buildinfo?buildID=60471

(tested locally fine)

Comment 11 Fedora Update System 2008-08-27 18:44:57 UTC
alpine-2.00-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/alpine-2.00-1.fc8

Comment 12 Gilbert Sebenste 2008-08-27 18:47:11 UTC
Works for me. Thanks for doing this, Rex! Take care.

Comment 13 Asheesh Laroia 2008-09-01 19:16:19 UTC
Hi, I'm the Debian alpine maintainer.

First, thanks to Joshua for those links.

Secondly, we're not shipping (nor plan to ship) Eduardo Chappa's Maildir patches.  I WISH I could!  But he hasn't been willing to license them at all, so right now they're (C) Eduardo Chappa, All Rights Reserved.  Naturally that would be undistributable in Debian, so I can't ship that.

The old package ships some pretty lame Maildir patches from 10 years that I've been urged *not* to include.  Those are licensed under the BSD license (without advertising clause).

This situation saddens me.

Thirdly, as far as the future: if there is a fork of alpine, I will be very interested to see where it goes, and I am open to shipping it instead of UW-branded alpine.  But there is no such fork now, so I find discussion of it premature.  Hopefully we can all just work with UW.  I lean toward shipping official bits, but at the point where upstream is not very active, I'm open to changing which group I consider "upstream."

Comment 14 Fedora Update System 2008-09-10 06:40:20 UTC
alpine-2.00-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7290

Comment 15 Fedora Update System 2008-09-24 23:58:37 UTC
alpine-2.00-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.